
XTT - eXtensible Task Toolkit - Bug #43

Possible race in TaskInvoker$TaskConfig

2012-07-19 16:24 - Ingo Lütkebohle

Status: Closed Start date: 2012-07-19

Priority: High Due date:  

Assignee: Ingo Lütkebohle % Done: 100%

Category: apps Estimated time: 2.00 hours

Target version: 1.8   

Description

It is not entirely clear, but there may be a race in TaskInvoker$TaskConfig.stateChanged when triggerEvent itself causes invocations

on the same task-config instance, but in a different thread.

Associated revisions

Revision 2357 - 2012-07-19 16:25 - Ingo Lütkebohle

Convert TaskInvoker to use ReentrantLock around critical sections only, instead of judicious use of synchronized on whole methods. refs #43

History

#1 - 2012-07-19 16:28 - Ingo Lütkebohle

- Description updated

- Status changed from New to In Progress

#2 - 2012-08-02 15:24 - Ingo Lütkebohle

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

- Estimated time set to 2.00

The problem was probably in XTT itself, because of a race between placing newly created tasks into the internal book-keeping data-structure, and

getting network events for them. Fixed in r2383
